Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.dependency
Class Evidence

    java.lang.Object
      org.owasp.dependencycheck.dependency.Evidence

All Implemented Interfaces:
  Comparable<Evidence>

    public class Evidence

extends Object
implements Comparable<Evidence>

Evidence is a piece of information about a Dependency.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary
`static class` | `Evidence.Confidence` The confidence that the evidence is "high" quality.

Constructor Summary
`Evidence()` Creates a new Evidence object.
`Evidence(String source, String name, String value, Evidence.Confidence confidence)` Creates a new Evidence objects.

Method Summary
`int` | `compareTo(Evidence o)` Implementation of the comparable interface.
`boolean` | `equals(Object that)` Implements equals for Evidence.
`Evidence.Confidence` | `getConfidence()` Get the value of confidence.
`String` | `getName()` Get the value of name.
`String` | `getSource()` Get the value of source.
`String` | `getValue()` Get the value of value.
`String` | `getValue(Boolean setUsed)` Get the value of value.
`int` | `hashCode()` Implements the hashCode for Evidence.
`boolean` | `isUsed()` Get the value of used.
`void` | `setConfidence(Evidence.Confidence confidence)` Set the value of confidence.
`void` | `setName(String name)` Set the value of name.
`void` | `setSource(String source)` Set the value of source.
`void` | `setUsed(boolean used)` Set the value of used.
`void` | `setValue(String value)` Set the value of value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Evidence

    public Evidence()

  Creates a new Evidence object.

### Evidence

    public Evidence(String source,
                    String name,
                    String value,
                    Evidence.Confidence confidence)

  Creates a new Evidence objects.

  Parameters:
    `source` - the source of the evidence.
    `name` - the name of the evidence.
    `value` - the value of the evidence.
    `confidence` - the confidence of the evidence.

Method Detail

### getName

    public String getName()

  Get the value of name.

  Returns:
    the value of name

### setName

    public void setName(String name)

  Set the value of name.

  Parameters:
    `name` - new value of name

### getSource

    public String getSource()

  Get the value of source.

  Returns:
    the value of source

### setSource

    public void setSource(String source)

  Set the value of source.

  Parameters:
    `source` - new value of source

### getValue

    public String getValue()

  Get the value of value.

  Returns:
    the value of value

### getValue

    public String getValue(Boolean setUsed)

  Get the value of value. If setUsed is set to false this call to get will not mark the evidence as used.

  Parameters:
    `setUsed` - whether or not this call to getValue should cause the used flag to be updated
  Returns:
    the value of value

### setValue

    public void setValue(String value)

  Set the value of value.

  Parameters:
    `value` - new value of value

### isUsed

    public boolean isUsed()

  Get the value of used.

  Returns:
    the value of used

### setUsed

    public void setUsed(boolean used)

  Set the value of used.

  Parameters:
    `used` - new value of used

### getConfidence

    public Evidence.Confidence getConfidence()

  Get the value of confidence.

  Returns:
    the value of confidence

### setConfidence

    public void setConfidence(Evidence.Confidence confidence)

  Set the value of confidence.

  Parameters:
    `confidence` - new value of confidence

### hashCode

    public int hashCode()

  Implements the hashCode for Evidence.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    hash code.

### equals

    public boolean equals(Object that)

  Implements equals for Evidence.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `that` - an object to check the equality of.
  Returns:
    whether the two objects are equal.

### compareTo

    public int compareTo(Evidence o)

  Implementation of the comparable interface.

  Specified by:
    `compareTo` in interface `Comparable<Evidence>`
  Parameters:
    `o` - the evidence being compared
  Returns:
    an integer indicating the ordering of the two objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.